package ink.wgink.gateway.pojo.log;

import ink.wgink.gateway.dao.log.IRequestLogDao;
import ink.wgink.gateway.pojo.BasePOJO;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RequestLog
 * @Description: 请求日志
 * @Author: wanggeng
 * @Date: 2021/5/15 3:03 下午
 * @Version: 1.0
 */
@Data
@ToString
@Document(collection = IRequestLogDao.COLLECTION_NAME)
public class RequestLog extends BasePOJO implements Serializable {

    private static final long serialVersionUID = 289254213770448241L;
    private String method;
    private String scheme;
    private String host;
    private Integer port;
    private String path;
    private String queryParams;
    private Integer responseCode;
    private Long startTime;
    private Long endTime;
    private Long usedTime;

}