package ink.wgink.gateway.router.count;

import ink.wgink.gateway.consts.ISystemConst;
import ink.wgink.gateway.handler.count.CountHandler;
import ink.wgink.gateway.router.BaseRouter;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;
import org.springframework.web.reactive.function.server.RequestPredicates;
import org.springframework.web.reactive.function.server.RouterFunction;
import org.springframework.web.reactive.function.server.RouterFunctions;
import org.springframework.web.reactive.function.server.ServerResponse;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: CountRouter
 * @Description: 统计
 * @Author: wanggeng
 * @Date: 2021/5/15 4:36 下午
 * @Version: 1.0
 */
@Component
public class CountRouter extends BaseRouter {

    @Bean
    public RouterFunction<ServerResponse> countRouterFunction(CountHandler countHandler) {
        return RouterFunctions.nest(RequestPredicates.path(ISystemConst.ADMIN_ROUTER_PREFIX + "/api/count"),
                RouterFunctions
                        .route(RequestPredicates.GET("/count-home"), countHandler::countHome)
                        .andRoute(RequestPredicates.GET("list-last-count"), countHandler::listLastCount)
        );
    }

}
